# OpenDR - RGBD Hand Gesture Recognition method 

This module provides the baseline implementation of the hand gesture recognition method using color and depth image via early fusion: the aligned RGB and Depth images are concatenated and fed into a convolutional neural network to predict the type of static hand gestures. Different convolutional neural network architectures with ImageNet pretrained weights are supported. The code of the neural network architectures are adapted from [torchvision](https://github.com/pytorch/vision). In addition, we also provide a light-weight pretrained hand gesture recognition model based on the `mobilenet_v2` architecture, which recognizes a set of 16 different static hand gestures defined in [MEGURU: a gesture-based robot program builder for Meta-Collaborative workstations](https://www.sciencedirect.com/science/article/abs/pii/S0736584520302957).
